# Function cif::pdb::reconstruct_pdbx

- Defined in File pdb.hpp

## Function Documentation

bool cif::pdb::reconstruct_pdbx(file &pdbx_file, std::string_view dictionary = "mmcif_pdbx")

  Reconstruct all missing categories for an assumed PDBx file.

  Some people believe that simply dumping some atom records is enough.

  Parameters:

    - file – The cif::file that hopefully contains some valid data

    - dictionary – The mmcif dictionary to use

  Returns:

    Returns true if the resulting file is valid